Index: cpukit/libfs/src/imfs/imfs.h
===================================================================
RCS file: /usr1/CVS/rtems/cpukit/libfs/src/imfs/imfs.h,v
retrieving revision 1.34
diff -p -u -u -r1.34 imfs.h
--- cpukit/libfs/src/imfs/imfs.h	9 Mar 2009 14:11:23 -0000	1.34
+++ cpukit/libfs/src/imfs/imfs.h	23 Apr 2009 07:54:40 -0000
@@ -98,15 +98,15 @@ typedef uint8_t *block_p;
 typedef block_p *block_ptr;
 
 typedef struct {
-  off_t      size;             /* size of file in bytes */
-  block_ptr  indirect;         /* array of 128 data blocks pointers */
-  block_ptr  doubly_indirect;  /* 128 indirect blocks */
-  block_ptr  triply_indirect;  /* 128 doubly indirect blocks */
+  rtems_off64_t size;             /* size of file in bytes */
+  block_ptr     indirect;         /* array of 128 data blocks pointers */
+  block_ptr     doubly_indirect;  /* 128 indirect blocks */
+  block_ptr     triply_indirect;  /* 128 doubly indirect blocks */
 } IMFS_memfile_t;
 
 typedef struct {
-  off_t      size;             /* size of file in bytes */
-  block_p    direct;           /* pointer to file image */
+  rtems_off64_t size;             /* size of file in bytes */
+  block_p       direct;           /* pointer to file image */
 } IMFS_linearfile_t;
 
 /*
@@ -380,7 +380,7 @@ extern int IMFS_memfile_remove(
 
 extern int memfile_ftruncate(
   rtems_libio_t *iop,               /* IN  */
-  off_t          length             /* IN  */
+  rtems_off64_t  length             /* IN  */
 );
 
 extern int imfs_dir_open(
@@ -400,9 +400,9 @@ extern ssize_t imfs_dir_read(
   size_t         count             /* IN  */
 );
 
-extern off_t imfs_dir_lseek(
+extern rtems_off64_t imfs_dir_lseek(
   rtems_libio_t        *iop,              /* IN  */
-  off_t                 offset,           /* IN  */
+  rtems_off64_t         offset,           /* IN  */
   int                   whence            /* IN  */
 );
 
@@ -444,9 +444,9 @@ extern int memfile_ioctl(
   void          *buffer           /* IN  */
 );
 
-extern off_t memfile_lseek(
+extern rtems_off64_t memfile_lseek(
   rtems_libio_t        *iop,        /* IN  */
-  off_t                 offset,     /* IN  */
+  rtems_off64_t         offset,     /* IN  */
   int                   whence      /* IN  */
 );
 
@@ -483,15 +483,15 @@ extern int device_ioctl(
   void          *buffer             /* IN  */
 );
 
-extern off_t device_lseek(
+extern rtems_off64_t device_lseek(
   rtems_libio_t *iop,               /* IN  */
-  off_t          offset,            /* IN  */
+  rtems_off64_t  offset,            /* IN  */
   int            whence             /* IN  */
 );
 
 extern int device_ftruncate(
   rtems_libio_t *iop,               /* IN  */
-  off_t          length             /* IN  */
+  rtems_off64_t  length             /* IN  */
 );
 
 extern int IMFS_utime(
Index: cpukit/libfs/src/imfs/imfs_directory.c
===================================================================
RCS file: /usr1/CVS/rtems/cpukit/libfs/src/imfs/imfs_directory.c,v
retrieving revision 1.22
diff -p -u -u -r1.22 imfs_directory.c
--- cpukit/libfs/src/imfs/imfs_directory.c	9 Mar 2009 14:11:23 -0000	1.22
+++ cpukit/libfs/src/imfs/imfs_directory.c	23 Apr 2009 07:54:40 -0000
@@ -182,9 +182,9 @@ int imfs_dir_close(
  *     SEEK_END - N/A --> This will cause an assert.
  */
 
-off_t imfs_dir_lseek(
+rtems_off64_t imfs_dir_lseek(
   rtems_libio_t  *iop,
-  off_t           offset,
+  rtems_off64_t   offset,
   int             whence
 )
 {
Index: cpukit/libfs/src/imfs/imfs_fifo.c
===================================================================
RCS file: /usr1/CVS/rtems/cpukit/libfs/src/imfs/imfs_fifo.c,v
retrieving revision 1.2
diff -p -u -u -r1.2 imfs_fifo.c
--- cpukit/libfs/src/imfs/imfs_fifo.c	9 Mar 2009 14:11:23 -0000	1.2
+++ cpukit/libfs/src/imfs/imfs_fifo.c	23 Apr 2009 07:54:40 -0000
@@ -119,10 +119,10 @@ int IMFS_fifo_ioctl(
   IMFS_FIFO_RETURN(err);
 }
 
-off_t IMFS_fifo_lseek(
+rtems_off64_t IMFS_fifo_lseek(
   rtems_libio_t *iop,
-  off_t         offset,
-  int           whence
+  rtems_off64_t  offset,
+  int            whence
 )
 {
   off_t err = pipe_lseek(LIBIO2PIPE(iop), offset, whence, iop);
Index: cpukit/libfs/src/imfs/memfile.c
===================================================================
RCS file: /usr1/CVS/rtems/cpukit/libfs/src/imfs/memfile.c,v
retrieving revision 1.29
diff -p -u -u -r1.29 memfile.c
--- cpukit/libfs/src/imfs/memfile.c	9 Mar 2009 14:11:23 -0000	1.29
+++ cpukit/libfs/src/imfs/memfile.c	23 Apr 2009 07:54:40 -0000
@@ -214,9 +214,9 @@ int memfile_ioctl(
  *  This routine processes the lseek() system call.
  */
 
-off_t memfile_lseek(
+rtems_off64_t memfile_lseek(
   rtems_libio_t   *iop,
-  off_t            offset,
+  rtems_off64_t    offset,
   int              whence
 )
 {
@@ -251,7 +251,7 @@ off_t memfile_lseek(
 
 int memfile_ftruncate(
   rtems_libio_t        *iop,
-  off_t                 length
+  rtems_off64_t         length
 )
 {
   IMFS_jnode_t   *the_jnode;
Index: cpukit/libfs/src/nfsclient/src/nfs.c
===================================================================
RCS file: /usr1/CVS/rtems/cpukit/libfs/src/nfsclient/src/nfs.c,v
retrieving revision 1.10
diff -p -u -u -r1.10 nfs.c
--- cpukit/libfs/src/nfsclient/src/nfs.c	9 Mar 2009 14:11:23 -0000	1.10
+++ cpukit/libfs/src/nfsclient/src/nfs.c	23 Apr 2009 07:54:40 -0000
@@ -2737,9 +2737,9 @@ static int nfs_file_ioctl(
 #define nfs_link_ioctl 0
 #endif
 
-static off_t nfs_file_lseek(
+static rtems_off64_t nfs_file_lseek(
 	rtems_libio_t *iop,
-	off_t          length,
+	rtems_off64_t  length,
 	int            whence
 )
 {
@@ -2770,9 +2770,9 @@ static off_t nfs_file_lseek(
 	return iop->offset;
 }
 
-static off_t nfs_dir_lseek(
+static rtems_off64_t nfs_dir_lseek(
 	rtems_libio_t *iop,
-	off_t          length,
+	rtems_off64_t  length,
 	int            whence
 )
 {
@@ -2818,29 +2818,29 @@ struct fattr {
 
 struct  stat
 {
-		dev_t     st_dev;
-		ino_t     st_ino;
-		mode_t    st_mode;
-		nlink_t   st_nlink;
-		uid_t     st_uid;
-		gid_t     st_gid;
-		dev_t     st_rdev;
-		off_t     st_size;
+		dev_t         st_dev;
+		ino_t         st_ino;
+		mode_t        st_mode;
+		nlink_t       st_nlink;
+		uid_t         st_uid;
+		gid_t         st_gid;
+		dev_t         st_rdev;
+		rtems_off64_t st_size;
 		/* SysV/sco doesn't have the rest... But Solaris, eabi does.  */
 #if defined(__svr4__) && !defined(__PPC__) && !defined(__sun__)
-		time_t    st_atime;
-		time_t    st_mtime;
-		time_t    st_ctime;
+		time_t        st_atime;
+		time_t        st_mtime;
+		time_t        st_ctime;
 #else
-		time_t    st_atime;
-		long      st_spare1;
-		time_t    st_mtime;
-		long      st_spare2;
-		time_t    st_ctime;
-		long      st_spare3;
-		long      st_blksize;
-		long      st_blocks;
-		long  st_spare4[2];
+		time_t        st_atime;
+		long          st_spare1;
+		time_t        st_mtime;
+		long          st_spare2;
+		time_t        st_ctime;
+		long          st_spare3;
+		long          st_blksize;
+		long          st_blocks;
+		long      st_spare4[2];
 #endif
 };
 #endif
@@ -3009,7 +3009,7 @@ sattr	arg;
  */
 static int nfs_file_ftruncate(
 	rtems_libio_t *iop,
-	off_t          length
+	rtems_off64_t  length
 )
 {
 sattr					arg;
Index: cpukit/libmisc/shell/main_msdosfmt.c
===================================================================
RCS file: /usr1/CVS/rtems/cpukit/libmisc/shell/main_msdosfmt.c,v
retrieving revision 1.3
diff -p -u -u -r1.3 main_msdosfmt.c
--- cpukit/libmisc/shell/main_msdosfmt.c	27 Feb 2008 21:52:16 -0000	1.3
+++ cpukit/libmisc/shell/main_msdosfmt.c	23 Apr 2009 07:54:41 -0000
@@ -42,7 +42,8 @@ int rtems_shell_main_msdos_format(
     fattype:             MSDOS_FMT_FATANY,
     media:               0,
     quick_format:        TRUE,
-    cluster_align:       0
+    cluster_align:       0,
+    info_level:          0
   };
   
   const char* driver = NULL;
@@ -51,7 +52,7 @@ int rtems_shell_main_msdos_format(
   for (arg = 1; arg < argc; arg++) {
     if (argv[arg][0] == '-') {
       switch (argv[arg][1]) {
-        case 'v':
+        case 'V':
           arg++;
           if (arg == argc) {
             fprintf (stderr, "error: no volume label.\n");
@@ -59,6 +60,15 @@ int rtems_shell_main_msdos_format(
           }
           rqdata.VolLabel = argv[arg];
           break;
+
+        case 's':
+          arg++;
+          if (arg == argc) {
+            fprintf (stderr, "error: sectors per cluster count.\n");
+            return 1;
+          }
+          rqdata.sectors_per_cluster = rtems_shell_str2int(argv[arg]);
+          break;
           
         case 'r':
           arg++;
@@ -90,6 +100,10 @@ int rtems_shell_main_msdos_format(
           }
           break;
 
+        case 'v':
+          rqdata.info_level++;
+          break;
+          
         default:
           fprintf (stderr, "error: invalid option: %s\n", argv[arg]);
           return 1;
@@ -111,6 +125,19 @@ int rtems_shell_main_msdos_format(
   }
   
   printf ("msdos format: %s\n", driver);
+
+  if (rqdata.info_level)
+  {
+    printf (" %-20s: %s\n", "OEMName", "RTEMS");
+    printf (" %-20s: %s\n", "VolLabel", "RTEMSDisk");
+    printf (" %-20s: %i\n", "sectors per cluster", rqdata.sectors_per_cluster);
+    printf (" %-20s: %i\n", "fats", rqdata.fat_num);
+    printf (" %-20s: %i\n", "files per root dir", rqdata.files_per_root_dir);
+    printf (" %-20s: %i\n", "fat type", rqdata.fattype);
+    printf (" %-20s: %d\n", "media", rqdata.media);
+    printf (" %-20s: %d\n", "quick_format", rqdata.quick_format);
+    printf (" %-20s: %i\n", "cluster align", rqdata.cluster_align);
+  }
   
   if (msdos_format (driver, &rqdata) < 0) {
     fprintf (stderr, "error: format failed: %s\n", strerror (errno));
Index: cpukit/libnetworking/lib/ftpfs.c
===================================================================
RCS file: /usr1/CVS/rtems/cpukit/libnetworking/lib/ftpfs.c,v
retrieving revision 1.18
diff -p -u -u -r1.18 ftpfs.c
--- cpukit/libnetworking/lib/ftpfs.c	14 Apr 2009 08:49:12 -0000	1.18
+++ cpukit/libnetworking/lib/ftpfs.c	23 Apr 2009 07:54:41 -0000
@@ -986,7 +986,7 @@ static int rtems_ftpfs_close( rtems_libi
 }
 
 /* Dummy version to let fopen( *,"w") work properly */
-static int rtems_ftpfs_ftruncate( rtems_libio_t *iop, off_t count)
+static int rtems_ftpfs_ftruncate( rtems_libio_t *iop, rtems_off64_t count)
 {
   return 0;
 }
Index: cpukit/libnetworking/lib/tftpDriver.c
===================================================================
RCS file: /usr1/CVS/rtems/cpukit/libnetworking/lib/tftpDriver.c,v
retrieving revision 1.30
diff -p -u -u -r1.30 tftpDriver.c
--- cpukit/libnetworking/lib/tftpDriver.c	3 Jan 2009 08:31:25 -0000	1.30
+++ cpukit/libnetworking/lib/tftpDriver.c	23 Apr 2009 07:54:41 -0000
@@ -984,7 +984,7 @@ static ssize_t rtems_tftp_write(
  */
 static int rtems_tftp_ftruncate(
     rtems_libio_t   *iop __attribute__((unused)),
-    off_t           count __attribute__((unused))
+    rtems_off64_t    count __attribute__((unused))
 )
 {
     return 0;
Index: cpukit/libnetworking/nfs/bootp_subr.c
===================================================================
RCS file: /usr1/CVS/rtems/cpukit/libnetworking/nfs/bootp_subr.c,v
retrieving revision 1.27
diff -p -u -u -r1.27 bootp_subr.c
--- cpukit/libnetworking/nfs/bootp_subr.c	10 Feb 2009 08:25:06 -0000	1.27
+++ cpukit/libnetworking/nfs/bootp_subr.c	23 Apr 2009 07:54:41 -0000
@@ -464,10 +464,12 @@ bootpc_call(
 
 		} /* while secs */
 	} /* forever send/receive */
-
-        printf("BOOTP timeout for server 0x%x\n",
-               (int)ntohl(sin->sin_addr.s_addr));
-
+	{
+		uint32_t addr = ntohl(sin->sin_addr.s_addr);
+        printf("BOOTP timeout for server %lu.%lu.%lu.%lu\n",
+               (addr >> 24) & 0xff, (addr >> 16) & 0xff,
+               (addr >> 8) & 0xff, addr & 0xff);
+	}
 	error = ETIMEDOUT;
 	goto out;
 
@@ -518,7 +520,12 @@ bootpc_fakeup_interface(struct ifreq *ir
   sin->sin_family = AF_INET;
   sin->sin_addr.s_addr = INADDR_ANY;
   error = ifioctl(so, SIOCSIFADDR, (caddr_t)ireq, procp);
-  if (error) {
+  /*
+   * Ignore a File already exists (EEXIST) error code. This means a
+   * route for the address is already present and is returned on
+   * a second pass to here.
+   */
+  if (error && (error != EEXIST)) {
     printf("bootpc_fakeup_interface: set if addr, error=%s\n", strerror(error));
     return error;
   }
@@ -549,7 +556,6 @@ bootpc_fakeup_interface(struct ifreq *ir
     return error;
   }
   
-  
   /* Add default route to 0.0.0.0 so we can send data */
   
   bzero((caddr_t) &dst, sizeof(dst));
@@ -573,8 +579,10 @@ bootpc_fakeup_interface(struct ifreq *ir
 		    (struct sockaddr *) &mask, 
 		    RTF_UP | RTF_STATIC
 		    , NULL);
-  if (error)
-    printf("bootpc_fakeup_interface: add default route, error=%d\n", error);
+  if (error && error != EEXIST)
+    printf("bootpc_fakeup_interface: add default route, error=%s\n",
+           strerror(error));
+  
   return error;
 }
 
Index: cpukit/libnetworking/rtems/rtems_dhcp.c
===================================================================
RCS file: /usr1/CVS/rtems/cpukit/libnetworking/rtems/rtems_dhcp.c,v
retrieving revision 1.4
diff -p -u -u -r1.4 rtems_dhcp.c
--- cpukit/libnetworking/rtems/rtems_dhcp.c	4 Feb 2009 13:34:34 -0000	1.4
+++ cpukit/libnetworking/rtems/rtems_dhcp.c	23 Apr 2009 07:54:41 -0000
@@ -689,24 +689,31 @@ dhcp_task (rtems_task_argument _sdl)
   int                 error;
   struct proc *procp = NULL;
   int                 disconnected;
+  rtems_status_code   ev_st;
   
   sdl = (struct sockaddr_dl *) _sdl;
   
   count = dhcp_elapsed_time;
   disconnected = 0;
  
-
-  while (TRUE)
+  while (true)
   {
     /*
      * Sleep until the next poll
      */
     timeout = TOD_MILLISECONDS_TO_TICKS (1000);
-    rtems_event_receive (RTEMS_EVENT_0,
-                         RTEMS_WAIT | RTEMS_EVENT_ANY,
-                         timeout, &event_out);
+    ev_st = rtems_event_receive (RTEMS_EVENT_0,
+                                 RTEMS_WAIT | RTEMS_EVENT_ANY,
+                                 timeout, &event_out);
 
-    if(event_out & RTEMS_EVENT_0) break;
+    /*
+     * Check if not a poll timeout. So when ANY event received, exit task.
+     * Actually, only event RTEMS_EVENT_0 sent from rtem_dhcp_failsafe.c
+     * if "failsafe" dhcp enabled when interface down.  Otherwise, no 
+     * event should occur, just timeout.
+     */
+    if(ev_st != RTEMS_TIMEOUT)
+        break;
 
     count++;
 
@@ -714,7 +721,7 @@ dhcp_task (rtems_task_argument _sdl)
     {
       rtems_bsdnet_semaphore_obtain ();
       
-      dhcp_request_req (&call, &dhcp_req, sdl, TRUE);
+      dhcp_request_req (&call, &dhcp_req, sdl, true);
 
       /*
        * Send the Request.
@@ -878,7 +885,7 @@ dhcp_init (int update_files)
   sprintf (ireq.ifr_name, "%s%d", ifp->if_name, ifp->if_unit);
 
   if ((error = socreate (AF_INET, &so, SOCK_DGRAM, 0, procp)) != 0) {
-    printf ("dhcpc_init: socreate, error=%d\n", error);
+    printf ("dhcpc_init: socreate, error: %s\n", strerror(error));
     return -1;
   }
 
@@ -896,11 +903,13 @@ dhcp_init (int update_files)
 
   if (!sdl){
     printf ("dhcpc_init: Unable to find HW address\n");
+    soclose (so);
     return -1;
   }
   if (sdl->sdl_alen != EALEN) {
     printf ("dhcpc_init: HW address len is %d, expected value is %d\n",
            sdl->sdl_alen, EALEN);
+    soclose (so);
     return -1;
   }
 
@@ -914,7 +923,8 @@ dhcp_init (int update_files)
    */
   error = bootpc_call (&call, &reply, procp);
   if (error) {
-    printf ("BOOTP call failed -- error %d\n", error);
+    printf ("BOOTP call failed -- %s\n", strerror(error));
+    soclose (so);
     return -1;
   }
 
@@ -923,6 +933,7 @@ dhcp_init (int update_files)
    */
   if (memcmp (&reply.vend[0], dhcp_magic_cookie, sizeof (dhcp_magic_cookie)) != 0) {
     printf ("DHCP server did not send Magic Cookie.\n");
+    soclose (so);
     return -1;
   }
 
@@ -930,17 +941,19 @@ dhcp_init (int update_files)
   
   if (dhcp_message_type != DHCP_OFFER) {
     printf ("DHCP server did not send a DHCP Offer.\n");
+    soclose (so);
     return -1;
   }
 
   /*
    * Send a DHCP REQUEST 
    */
-  dhcp_request_req (&call, &reply, sdl, TRUE);
+  dhcp_request_req (&call, &reply, sdl, true);
   
   error = bootpc_call (&call, &reply, procp);
   if (error) {
-    printf ("BOOTP call failed -- error %d\n", error);
+    printf ("BOOTP call failed -- %s\n", strerror(error));
+    soclose (so);
     return -1;
   }
 
@@ -949,6 +962,7 @@ dhcp_init (int update_files)
    */
   if (memcmp (&reply.vend[0], dhcp_magic_cookie, sizeof (dhcp_magic_cookie)) != 0) {
     printf ("DHCP server did not send Magic Cookie.\n");
+    soclose (so);
     return -1;
   }
   
@@ -956,6 +970,7 @@ dhcp_init (int update_files)
   
   if (dhcp_message_type != DHCP_ACK) {
     printf ("DHCP server did not accept the DHCP request\n");
+    soclose (so);
     return -1;
   }
 
@@ -1106,8 +1121,10 @@ dhcp_init (int update_files)
  */
 void rtems_bsdnet_do_dhcp (void)
 {
+  bool update = true;
   rtems_bsdnet_semaphore_obtain ();
-  while( dhcp_init (TRUE) < 0 ) {
+  while( dhcp_init (update) < 0 ) {
+    update = false;
     rtems_bsdnet_semaphore_release();
     rtems_task_wake_after(TOD_MILLISECONDS_TO_TICKS(1000));
     rtems_bsdnet_semaphore_obtain ();
@@ -1120,7 +1137,7 @@ int rtems_bsdnet_do_dhcp_timeout( void )
   int return_value;
 
   rtems_bsdnet_semaphore_obtain ();
-  return_value = dhcp_init (FALSE);
+  return_value = dhcp_init (false);
   rtems_bsdnet_semaphore_release ();
 
   return return_value;
Index: cpukit/sapi/include/confdefs.h
===================================================================
RCS file: /usr1/CVS/rtems/cpukit/sapi/include/confdefs.h,v
retrieving revision 1.118
diff -p -u -u -r1.118 confdefs.h
--- cpukit/sapi/include/confdefs.h	5 Jan 2009 20:16:07 -0000	1.118
+++ cpukit/sapi/include/confdefs.h	23 Apr 2009 07:54:41 -0000
@@ -518,7 +518,16 @@ rtems_fs_init_functions_t    rtems_fs_in
 #endif
 
 #ifndef CONFIGURE_INIT_TASK_ENTRY_POINT
+  #ifdef __cplusplus
+  extern "C" {
+  #endif
+    rtems_task Init (rtems_task_argument );
+  #ifdef __cplusplus
+  }
+  #endif
   #define CONFIGURE_INIT_TASK_ENTRY_POINT   Init
+  extern const char* bsp_boot_cmdline;
+  #define CONFIGURE_INIT_TASK_ARGUMENTS     ((rtems_task_argument) &bsp_boot_cmdline)
 #endif
 
 #ifndef CONFIGURE_INIT_TASK_INITIAL_MODES
Index: make/leaf.cfg
===================================================================
RCS file: /usr1/CVS/rtems/make/leaf.cfg,v
retrieving revision 1.24
diff -p -u -u -r1.24 leaf.cfg
--- make/leaf.cfg	15 Sep 2008 17:43:22 -0000	1.24
+++ make/leaf.cfg	23 Apr 2009 07:54:41 -0000
@@ -118,12 +118,12 @@ DOWNEXT=.ralf
 
 define bsp-link-c
 	$(LINK.c) $(CPU_CFLAGS) $(AM_CFLAGS) $(AM_LDFLAGS) \
-	    -o $(basename $@).exe $(LINK_OBJS) $(LINK_LIBS)
+	    -o $(basename $@)$(EXEEXT) $(LINK_OBJS) $(LINK_LIBS)
 endef
 
 define bsp-link-cxx
 	$(LINK.cc) $(CPU_CFLAGS) $(AM_CFLAGS) $(AM_LDFLAGS) \
-	    -o $(basename $@).exe $(LINK_OBJS) $(LINK_LIBS)
+	    -o $(basename $@)$(EXEEXT) $(LINK_OBJS) $(LINK_LIBS)
 endef
 
 define default-bsp-post-link
@@ -134,7 +134,7 @@ endef
 ifndef bsp-post-link
 define bsp-post-link
 	$(default-bsp-post-link)
-	cp $(basename $@).exe $(basename $@)$(DOWNEXT)
+	cp $(basename $@)$(EXEEXT) $(basename $@)$(DOWNEXT)
 endef
 endif
 
Index: make/compilers/gcc-no_bsp.cfg
===================================================================
RCS file: /usr1/CVS/rtems/make/compilers/gcc-no_bsp.cfg,v
retrieving revision 1.14
diff -p -u -u -r1.14 gcc-no_bsp.cfg
--- make/compilers/gcc-no_bsp.cfg	18 Sep 2008 17:33:55 -0000	1.14
+++ make/compilers/gcc-no_bsp.cfg	23 Apr 2009 07:54:41 -0000
@@ -226,9 +226,9 @@ LINK_FILES= \
 # On Solaris at least you need to had /usr/ucblib/libucb.a
 
 define make-exe
-	$(CC) -o $(basename $@).exe $(LINK_FILES) -lc -lm
-	$(NM) -n $(basename $@).exe > $(basename $@).num
-	$(SIZE) $(basename $@).exe
+	$(CC) -o $(basename $@)$(EXEEXT) $(LINK_FILES) -lc -lm
+	$(NM) -n $(basename $@)$(EXEEXT) > $(basename $@).num
+	$(SIZE) $(basename $@)$(EXEEXT)
 endef
 
 define make-rel
Index: make/custom/mcf5235.cfg
===================================================================
RCS file: /usr1/CVS/rtems/make/custom/mcf5235.cfg,v
retrieving revision 1.13
diff -p -u -u -r1.13 mcf5235.cfg
--- make/custom/mcf5235.cfg	11 Jun 2008 08:17:27 -0000	1.13
+++ make/custom/mcf5235.cfg	23 Apr 2009 07:54:41 -0000
@@ -31,6 +31,6 @@ endif
 # is currently required.
 define bsp-post-link
 	$(OBJCOPY) -O binary --strip-all \
-	    $(basename $@).exe $(basename $@)$(DOWNEXT)
-	$(SIZE) $(basename $@).exe
+	    $(basename $@)$(EXEEXT) $(basename $@)$(DOWNEXT)
+	$(SIZE) $(basename $@)$(EXEEXT)
 endef
Index: make/custom/pc386.cfg
===================================================================
RCS file: /usr1/CVS/rtems/make/custom/pc386.cfg,v
retrieving revision 1.46
diff -p -u -u -r1.46 pc386.cfg
--- make/custom/pc386.cfg	20 Nov 2008 15:26:37 -0000	1.46
+++ make/custom/pc386.cfg	23 Apr 2009 07:54:41 -0000
@@ -51,7 +51,7 @@ define bsp-post-link
 	$(OBJCOPY) -O elf32-i386 \
 	    --remove-section=.comment \
 	    --remove-section=.note \
-	    --strip-unneeded $(basename $@).exe $(basename $@).nxe
+	    --strip-unneeded $(basename $@)$(EXEEXT) $(basename $@).nxe
 	$(OBJCOPY) -O binary $(basename $@).nxe $(basename $@).bin
 	$(PROJECT_TOOLS)/bin2boot -v $(basename $@)$(DOWNEXT) $(HEADERADDR)\
 	  $(START16FILE) $(START16ADDR) 0 $(basename $@).bin $(RELOCADDR) 0
Index: testsuites/automake/compile.am
===================================================================
RCS file: /usr1/CVS/rtems/testsuites/automake/compile.am,v
retrieving revision 1.21
diff -p -u -u -r1.21 compile.am
--- testsuites/automake/compile.am	22 Nov 2005 14:13:42 -0000	1.21
+++ testsuites/automake/compile.am	23 Apr 2009 07:54:41 -0000
@@ -18,4 +18,4 @@ AM_CFLAGS =
 AM_CXXFLAGS =
 
 clean-local:
-	$(RM) *.num *.nxe *.elf *.srec* *.bin *.bt
+	$(RM) *$(EXEEXT) *$(DOWNEXT) *.num *.nxe *.elf *.srec* *.bin *.bt
Index: testsuites/samples/iostream/system.h
===================================================================
RCS file: /usr1/CVS/rtems/testsuites/samples/iostream/system.h,v
retrieving revision 1.4
diff -p -u -u -r1.4 system.h
--- testsuites/samples/iostream/system.h	17 Jun 2008 18:50:30 -0000	1.4
+++ testsuites/samples/iostream/system.h	23 Apr 2009 07:54:41 -0000
@@ -15,12 +15,6 @@
 
 #include <rtems.h>
 
-/* functions */
-
-rtems_task Init(
-  rtems_task_argument argument
-);
-
 /* configuration information */
 
 #include <bsp.h> /* for device driver prototypes */
